unit ZitateMsg;

{$mode objfpc}{$H+}
{$I OsWahl.inc}
{$I ZitateParm.inc}

interface

{$IFDEF ZITATE_ONLINE}
procedure Nachricht(text: string);
procedure Nachricht2(titel, text: string);
{$ENDIF}
procedure SystemMeldung(text: string);

implementation

uses Classes, SysUtils, FileUtil,
     {$IFDEF ZITATE_ONLINE} Forms, Controls, Graphics, Dialogs, Menus
     {$ELSE} ZitateUTF8 {$ENDIF} ;

{ Hilfe }

{$IFDEF ZITATE_ONLINE}
function MessageDlgTitle(const Title: String; const Msg: string; Buttons: TMsgDlgButtons; HelpCtx: Longint): Integer;
begin
   with CreateMessageDialog(Msg, mtCustom, Buttons) do
   try
      Caption:=Title;
      HelpContext:=HelpCtx;
      HelpFile:='';
      Position:=poScreenCenter;
      result:=ShowModal;
   finally
      Free;
   end;
end;

procedure Nachricht(text: string);
begin
   case MessageDlg(text, mtInformation, [mbOK], 0) of
      mrOK, mrCancel:   ;
      else              MessageDlg('Fehler?', mtError, [], 0);
   end;
end;

procedure Nachricht2(titel, text: string);
begin
   case MessageDlgTitle(titel, text, [mbOK], 0) of
      mrOK, mrCancel:   ;
      else              MessageDlg('Fehler?', mtError, [], 0);
   end;
end;
{$ENDIF}

procedure SystemMeldung(text: string);
begin
   {$IFDEF ZITATE_ONLINE}
      Nachricht2('System-Meldung', text)
   {$ELSE}
      WriteUTF8Ln(text);
   {$ENDIF}
end;

begin

end.
