unit ZitateOnline_main;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  DBGrids, DBCtrls, ZitateMsg, ZitateServer, ZitateServerDB, Zitat, ZitateDB,
  db, Anzeige, Spezial, Komplex, ZConnection, ZDataset;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Abbruch: TButton;
    Button7: TButton;
    DBMemo1: TDBMemo;
    Speichern: TButton;
    Datasource1: TDatasource;
    DBGrid1: TDBGrid;
    ListBox1: TListBox;
    ToggleBox1: TToggleBox;
    ZConnection1: TZConnection;
    ZQuery1: TZQuery;
    Procedure AbbruchClick(Sender: TObject);
    Procedure Button1Click(Sender: TObject);
    Procedure Button7Click(Sender: TObject);
    Procedure ListBox1SelectionChange(Sender: TObject; User: boolean);
    Procedure SpeichernClick(Sender: TObject);
    Procedure ZConnection1AfterConnect(Sender: TObject);
    Procedure ZQuery1AfterOpen(DataSet: TDataSet);
    Procedure ZQuery1BeforeClose(DataSet: TDataSet);
  private
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }


Procedure TForm1.ZConnection1AfterConnect(Sender: TObject);
Begin
  ZConnection1.GetTableNames('%', ListBox1.Items);
end;

Procedure TForm1.ZQuery1AfterOpen(DataSet: TDataSet);
Begin
  If Assigned(ZQuery1.FindField('SPRUCH')) Then
    DBMemo1.DataField := 'SPRUCH';
  If Assigned(ZQuery1.FindField('KURZSPRUCH')) Then
    DBMemo1.DataField := 'KURZSPRUCH';
end;

Procedure TForm1.ZQuery1BeforeClose(DataSet: TDataSet);
Begin
  DBMemo1.DataField := '';
end;

Procedure TForm1.Button1Click(Sender: TObject);
Begin
  ZConnection1.Connect;
end;

Procedure TForm1.Button7Click(Sender: TObject);
Begin
  SpeichernClick(Nil);
  ZQuery1.Append;
end;

Procedure TForm1.AbbruchClick(Sender: TObject);
Begin
  If ZQuery1.State In [dsEdit, dsInsert] Then
    ZQuery1.Cancel;
end;

Procedure TForm1.ListBox1SelectionChange(Sender: TObject; User: boolean);
Begin
  If ListBox1.ItemIndex >= 0 Then
  Begin
    ZQuery1.Close;
    ZQuery1.SQL.Text := 'SELECT * FROM ' + ListBox1.Items[ListBox1.ItemIndex];
    ZQuery1.Open;
  End;
end;

Procedure TForm1.SpeichernClick(Sender: TObject);
Begin
  If ZQuery1.State In [dsEdit, dsInsert] Then
    ZQuery1.Post;
end;

end.

